PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_3GSMAPH.h"
#include "tkiofortdeclare.h"


RECORD /TKINFO/ granuleHandle3GSMAPH

RECORD /L3GSMAPH_GRID/ L3GSMAPH

	INTEGER status
!	INTEGER iscan, iangle, irange
	INTEGER nlat, nlon 
	CHARACTER*255 jobname, file

        REAL*4 hourlyPrecipRateGC(1800,3600)

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '3GSMAPH', TKREAD, 'HDF5', jobname, granuleHandle3GSMAPH, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3GSMAPH.jobname, TKERROR,'message to print' )
	ENDIF

!       Grid data read
	status = TKreadGrid( granuleHandle3GSMAPH, L3GSMAPH )

        do nlat=1, 1800 
            do nlon=1, 3600 
                ! hourlyPrecipRateGC Read
                hourlyPrecipRateGC(nlat, nlon) = L3GSMAPH.hourlyPrecipRateGC(nlat,nlon)

                ! print the value
                IF(nlat .eq. 931 .and. nlon .eq. 2631 ) THEN
                    write(*,*) "nlat=",nlat-1,"nlon=",nlon-1
                    write(*,*) "hourlyPrecipRateGC=",hourlyPrecipRateGC(nlat, nlon), "(mm/h)" 
                ENDIF
            enddo
        enddo

!       HDF file close
	status = TKclose( granuleHandle3GSMAPH )
	STOP
END
	
