PROGRAM SAMPLE

        use hdf5   ! This module contains all necessary modules

        CHARACTER(LEN=64), PARAMETER :: filename =&
            "../../../data/GPMMRG_MAP_1508231800_H_L3S_MCH_03E.h5"
        CHARACTER(LEN=24), PARAMETER :: dsetname = "/Grid/hourlyPrecipRateGC"

        INTEGER(HID_T) :: file_id       ! File identifier
        INTEGER(HID_T) :: dset_id       ! Dataset identifier
        REAL*4, DIMENSION(1800,3600) :: hourlyPrecipRateGC ! Data buffers
        INTEGER(HSIZE_T), DIMENSION(2) :: data_dims
	INTEGER error 

        ! Initialize FORTRAN interface.
        CALL h5open_f(error)

        ! Open an existing file.
        CALL h5fopen_f (filename, H5F_ACC_RDWR_F, file_id, error)

        ! Open an existing dataset.
        CALL h5dopen_f(file_id, dsetname, dset_id, error)

        ! Read hourlyPrecipRateGC.
        data_dims(1) = 1800 
        data_dims(2) = 3600 
        CALL h5dread_f(dset_id, H5T_NATIVE_REAL, hourlyPrecipRateGC, data_dims, error)

        ! print the value
        write(*,*) "filename=",filename,""
        write(*,*) "dataset name=",dsetname,""
        write(*,*) "hourlyPrecipRateGC(580,900)=",hourlyPrecipRateGC(581,901), "(mm/h)" 
        write(*,*) "hourlyPrecipRateGC(490,1050)=",hourlyPrecipRateGC(491,1051), "(mm/h)" 

        ! Close the dataset.
        CALL h5dclose_f(dset_id, error)

        ! Close the file.
        CALL h5fclose_f(file_id, error)

        ! Close FORTRAN interface.
        CALL h5close_f(error)

	STOP
END
	
