PROGRAM SAMPLE

        use hdf5   ! This module contains all necessary modules

        CHARACTER(LEN=64), PARAMETER :: filename =&
            "../../../data_06A/GPMCOR_DPR_1407_M_D3M_06A.h5"
        CHARACTER(LEN=34), PARAMETER :: dsetname = "/Grids/G1/precipRateESurface/mean"

        INTEGER(HID_T) :: file_id       ! File identifier
        INTEGER(HID_T) :: dset_id       ! Dataset identifier
        REAL*4, DIMENSION(28,72,5,3,3) :: precipRateESurface ! Data buffers
        INTEGER(HSIZE_T), DIMENSION(5) :: data_dims
	INTEGER error 


        ! Initialize FORTRAN interface.
        CALL h5open_f(error)

        ! Open an existing file.
        CALL h5fopen_f (filename, H5F_ACC_RDWR_F, file_id, error)

        ! Open an existing dataset.
        CALL h5dopen_f(file_id, dsetname, dset_id, error)
        ! write(*,*) "h5dopen_f","error =",error 

        ! Read precipRateESurface.
        data_dims(1) = 28 
        data_dims(2) = 72 
        data_dims(3) = 5 
        data_dims(4) = 3 
        data_dims(5) = 3 
        CALL h5dread_f(dset_id, H5T_NATIVE_REAL, precipRateESurface, data_dims, error)
        ! write(*,*) "h5dread_f","error =",error 

        ! print the value
        write(*,*) "filename=",filename 
        write(*,*) "dataset name=",dsetname 
        write(*,*) "precipRateESurface.mean(1,48,1,0,0)=",precipRateESurface(2,49,2,1,1) 
        write(*,*) "precipRateESurface.mean(27,71,4,2,2)=",precipRateESurface(28,72,5,3,3) 

        ! Close the dataset.
        CALL h5dclose_f(dset_id, error)

        ! Close the file.
        CALL h5fclose_f(file_id, error)

        ! Close FORTRAN interface.
        CALL h5close_f(error)

	STOP
END
	
