PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_2ADPR.h"
#include "tkiofortdeclare.h"


RECORD /TKINFO/ granuleHandleL2DPR

RECORD /L2ADPR_SWATHS/ L2ADPR

	PARAMETER( NANGLE=49, NRANGE=176 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

        REAL*8 lat(NANGLE), lon(NANGLE)
        REAL*4 precipEsurf(NANGLE)
        REAL*4 zFactorCor(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay


	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '2ADPR', TKREAD, 'HDF5', jobname, granuleHandleL2DPR, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandleL2DPR.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandleL2DPR, 'NS_SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandleL2DPR, L2ADPR )

		! ScanTime Read
		year      = L2ADPR.NS.ScanTime.Year
		month     = L2ADPR.NS.ScanTime.Month
		dayOfMon  = L2ADPR.NS.ScanTime.DayOfMonth
		hour      = L2ADPR.NS.ScanTime.Hour
		min       = L2ADPR.NS.ScanTime.Minute
		sec       = L2ADPR.NS.ScanTime.Second
		msec      = L2ADPR.NS.ScanTime.MilliSecond
		dayOfYear = L2ADPR.NS.ScanTime.DayOfYear
		secOfDay  = L2ADPR.NS.ScanTime.SecondOfDay

		do iangle=1,NANGLE

                        ! Latitude and Longitude Read
                        lat(iangle)  = L2ADPR.NS.Latitude(iangle)
                        lon(iangle)  = L2ADPR.NS.Longitude(iangle)

                        ! precipRateESurface Read
                        precipEsurf(iangle) = L2ADPR.NS.SLV.precipRateESurface(iangle)

			do irange=1,NRANGE
                             zFactorCor(irange, iangle) = L2ADPR.NS.SLV.zFactorCorrected(irange, iangle)
!                            write(*,*) iscan, iangle, irange, "zFactorCorrected = ", zFactorCor(irange, iangle)
                        enddo

                        ! print the value
                        IF(iscan .eq. 3049 .and. iangle .eq. 11 ) THEN
                             write(*,*) "scan=",iscan-1,",angle=",iangle-1
                             write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                             write(*,*) "precipEsurf=",precipEsurf(iangle), "(mm/h)" 
                        ENDIF
                enddo
         enddo

	status = TKclose( granuleHandleL2DPR )
	STOP
END
	
