PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_2APR.h"
#include "tkiofortdeclare.h"


RECORD /TKINFO/ granuleHandleL2APR

RECORD /L2APR_NS/ L2APR

	PARAMETER( NANGLE=49, NRANGE=176 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

        REAL*8 lat(NANGLE), lon(NANGLE)
        REAL*4 precipEsurf(NANGLE)
        REAL*4 zFactorCor(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay


	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '2APR', TKREAD, 'HDF5', jobname, granuleHandleL2APR, 1 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandleL2APR.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandleL2APR, 'SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandleL2APR, L2APR )

		! ScanTime Read
		year      = L2APR.ScanTime.Year
		month     = L2APR.ScanTime.Month
		dayOfMon  = L2APR.ScanTime.DayOfMonth
		hour      = L2APR.ScanTime.Hour
		min       = L2APR.ScanTime.Minute
		sec       = L2APR.ScanTime.Second
		msec      = L2APR.ScanTime.MilliSecond
		dayOfYear = L2APR.ScanTime.DayOfYear
		secOfDay  = L2APR.ScanTime.SecondOfDay

		do iangle=1,NANGLE

                        ! Latitude and Longitude Read
                        lat(iangle)  = L2APR.Latitude(iangle)
                        lon(iangle)  = L2APR.Longitude(iangle)

                        ! precipRateESurface Read
                        precipEsurf(iangle) = L2APR.SLV.precipRateESurface(iangle)

			do irange=1,NRANGE
                             zFactorCor(irange, iangle) = L2APR.SLV.zFactorCorrected(irange, iangle)
!                            write(*,*) iscan, iangle, irange, "zFactorCorrected = ", zFactorCor(irange, iangle)
                        enddo

                        ! print the value
                        IF(iscan .eq. 2991 .and. iangle .eq. 44 ) THEN
                             write(*,*) "scan=",iscan-1,",angle=",iangle-1
                             write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                             write(*,*) "precipEsurf=",precipEsurf(iangle), "(mm/h)" 
                        ENDIF
                enddo
         enddo

	status = TKclose( granuleHandleL2APR )
	STOP
END
	
