PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_3CMB.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle3CMB
RECORD /L3CMB_GRIDS/ L3CMB

	INTEGER status
	INTEGER st, rt, ns 
	CHARACTER*255 jobname, file

        REAL*4 precipTotRate(28,72,2,16,3,3)

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '3CMB', TKREAD, 'HDF5', jobname, granuleHandle3CMB, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3CMB.jobname, TKERROR,'message to print' )
	ENDIF

!       Grid data read
	status = TKreadGrid( granuleHandle3CMB, L3CMB )

        do ltL=1, 28 
          do lnL=1, 72 
            do ns=1, 2 
              do hgt=1, 16 
                do rt=1, 3 
                  do st=1, 3 
                    ! precipTotRate Read
                    precipTotRate(ltL, lnL, ns, hgt, rt, st) = L3CMB.G1.precipTotRate.mean(ltL, lnL, ns, hgt, rt, st)                      

                     ! print the value
                     IF(hgt .eq. 8 .and. ns .eq. 1. .and. lnL .eq. 46 .and. ltL .eq. 11 ) THEN
                       write(*,*) "st=",st-1, "rt=", rt-1, "hgt=8 ns=1 lnL=45 ltL=10"
                       write(*,*) "precipTotRate.mean=",precipTotRate(ltL, lnL, ns, hgt, rt, st)                                                          

                     ENDIF
                  enddo
                enddo
              enddo
            enddo
          enddo
        enddo

!       HDF file close
	status = TKclose( granuleHandle3CMB )
	STOP
END
	
