PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_3PR.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle3PR
RECORD /L3PR_GRIDS/ L3PR

	INTEGER status
	INTEGER st, rt, chn, lnL, ltL 
	CHARACTER*255 jobname, file

        REAL*4 precipEsurf(28,72,5,3,3)

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '3PR', TKREAD, 'HDF5', jobname, granuleHandle3PR, 1 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3PR.jobname, TKERROR,'message to print' )
	ENDIF

!       Grid data read
	status = TKreadGrid( granuleHandle3PR, L3PR )

        do ltL=1, 28 
            do lnL=1, 72 
                do chn=1, 5
                    do rt=1, 3 
                        do st=1, 3 
                            ! precipRateESurface.mean Read
                            precipEsurf(ltL, lnL, chn, rt, st) = L3PR.G1.precipRateESurface.mean(ltL, lnL, chn, rt, st)

                            ! print the value
                            IF(lnL .eq. 8 .and. ltL .eq. 16 .and. chn .eq. 5 ) THEN
                                 write(*,*) "st=",st-1,"rt=",rt-1
                                 write(*,*) "chn=4 lnL=71 ltL=27 precipRateEsurface.mean=",precipEsurf(ltL, lnL, chn, rt, st), "(mm/h)" 
                            ENDIF
                        enddo
                    enddo
                enddo
            enddo
        enddo

!       HDF file close
	status = TKclose( granuleHandle3PR )
	STOP
END
	
